# XMLReader::open

(PHP 5 >= 5.1.0, PHP 7)

XMLReader::open — Set the URI containing the XML to parse

### Description

public XMLReader::open ( string `$URI` [, string `$encoding` = `NULL` [, int `$options` = 0 ]] ) : bool

Set the URI containing the XML document to be parsed.

### Parameters

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the LIBXML_* constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns an XMLReader or `FALSE` on failure.

### Errors/Exceptions

This method may be called statically, but will issue an `E_STRICT` error.

### Changelog

Version | Description
--- | ---
5.2.0 | `encoding` and `options` were added.

### See Also

- XMLReader::xml() - Set the data containing the XML to parse
- XMLReader::close() - Close the XMLReader input